package videoautomat.contentcreator;

import sale.FormSheet;
import sale.FormSheetContentCreator;
import sale.stdforms.MsgForm;
import videoautomat.contentcreator.stdactions.QuitAction;

/**
 * Content creator to add quit action to the <code>MsgForm</code> ok button.
 * @author Alexander Herrmann
 *
 */
public class AdminMFContentCreator extends FormSheetContentCreator {

    /**
	 * ID for Serialization.
	 */
	private static final long serialVersionUID = -6721998343973982082L;

	/**
     * Adds quit action to the <code>MsgForm</code> ok button.
     * @param fs - <code>FormSheet</code> to be changed.
     */
    protected void createFormSheetContent(FormSheet fs) {
        fs.getButton(MsgForm.BTNID_OK).setAction(new QuitAction());
    }

}
